<?php require_once('Connections/conn.php'); 
//***************************************************************************************
// Nombre del Script: prelaciones.php
// Descripción: Permite la gestión de las prelaciones de las unidades curriculares.
// Llamado desde: materias.php
//              
//************************************************************************************** 
?>
<?php 
  session_start();
  $nombre=$_GET["nombre"];
  $id_materia=$_GET['id_materia'];
  $id_carrera=$_GET['id_carrera']; 
  $pensum=$_GET['pensum']; 
  $nivel=$_GET['nivel']; 
  $tipo_materias=$_GET['tipo_materias']; 
  $sem=$_GET['sem'];
  $filterfield1=$_GET['filterfield1'];
  $filter1=$_GET['filter1'];
  
  $mencion=$tipo_materias;
  if($tipo_materias=="CIU" or $tipo_materias=="CG") $mencion='COMUN'; 

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
  
  // Abro la Base de datos 
 mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'"); 
 
 // Valida si el estudiante aprobó el CIU.
 $sql = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $rst = mysql_fetch_assoc($rs);
 $nombre_carrera= $rst["nombre_carrera"];
 

 
 // Valida si el estudiante aprobó el CIU.
 $sql = "SELECT nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$mencion'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $rst = mysql_fetch_assoc($rs);
 $nombre_mencion = $rst["nombre_mencion"];
 	
 if($nivel=="CG"){
    $nombre_nivel="COMPONENTE GENERAL";
	$nombre_mencion="COMUN";
 }
 if($nivel=="CIU"){
    $nombre_nivel="CURSO DE INICIACIÓN UNIVERSITARIA";
	$nombre_mencion="COMUN";
 }
 if($nivel=="CP"){
    $nombre_nivel="CICLO PROFESIONAL";
 }		

?>

<html>
<head>
<title>sadce -- prelaciones</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%">
<tr><td class="hr"><h2>Prelaciones</h2></td></tr></table>
<table class="bd1" width="100%">
<tr><td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;<?php echo $id_materia ?>:<?php echo $nombre ?>&nbsp;&nbsp;&nbsp;<b>SEMESTRE:</b>&nbsp;&nbsp;<?php echo $sem ?></td></tr>
<tr><td class="bd1"><b>CARRERA:</b>&nbsp;&nbsp;&nbsp;<?php echo $nombre_carrera ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>PENSUM:</b>&nbsp;&nbsp;&nbsp;<?php echo $pensum ?></td></tr>
<tr><td><b>NIVEL:</b>&nbsp;&nbsp;&nbsp;<?php echo $nombre_nivel ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>MENCI&Oacute;N:</b>&nbsp;&nbsp;&nbsp;<?php echo $nombre_mencion ?></td></tr>
</table>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado_2014");
  mysql_query ("SET NAMES 'utf8'");
    
  $matVolver=$_GET["matVolver"];
  $nombre=$_GET["nombre"];
  
  
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert($id_carrera, $id_materia);
      break;
    case "update":
      sql_update($id_carrera, $id_materia);
      break;
    case "delete":
      sql_delete($id_carrera, $id_materia);
      break;
  }

  switch ($a) {
    case "add":
      addrec($matVolver, $recid, $id_carrera, $id_materia, $sem, $nombre);
      break;
    case "view":
      viewrec($recid, $id_carrera, $id_materia, $sem,  $matVolver, $nombre);
      break;
    case "edit":
      editrec($recid, $id_carrera, $id_materia, $sem, $matVolver, $nombre);
      break;
    case "del":
      deleterec($recid, $id_carrera, $id_materia, $sem, $matVolver, $nombre);
      break;
    default:
      select($id_carrera, $id_materia, $sem, $matVolver, $nombre);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
</td></tr></table>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select($id_carrera, $id_materia, $sem, $matVolver,$nombre)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $pensum;
  global $nivel;
  global $mencion;
  global $conn;
  global $tipo_materias;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($id_carrera, $id_materia);
  $count = sql_getrecordcount($id_carrera, $id_materia);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>

<?php $matVolver=$_GET["matVolver"];?>
<?php $nombre=$_GET["nombre"];?>

<table class="bd" border="0" cellspacing="1" cellpadding="4">

<tr><td>N&uacute;mero de Prelaciones <?//php echo $startrec + 1 ?><!--, - --><?php //echo $reccount ?> <!-- de --> <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount, $id_carrera, $id_materia, $sem, $matVolver, $nombre); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center">Semestre</td>
<td class="hr" align="center">C&oacute;digo</td>
<td class="hr" align="center"><?php echo htmlspecialchars("Nombre de la Unidad Curricular") ?></td>
</tr>
<?php
//////////////////// Coloque aqui el codigo para mostrar todas las prelaciones juntas sin paginacion////
//echo $count;
  //for ($i = $startrec; $i < $reccount; $i++)
  for ($i = $startrec; $i < $count; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	
	// Tomo de la materia..
  $codigo=$row['id_prelacion'];
  //////Se comento este select para que colocara el nombre y el semastre en todas las prelaciones ya que no todas estan en la misma Mencion y por eso no se mostraban todo los nombres.
  /////////////////////////////////////////////////////////////
  ///////$sql_materias = "SELECT nombre_materia, semestre FROM materias where id_carrera='$id_carrera' and id_materia='$codigo' and pensum='$pensum' and id_mencion='$mencion'";

  $sql_materias = "SELECT nombre_materia, semestre FROM materias where id_carrera='$id_carrera' and id_materia='$codigo' and pensum='$pensum'";
  $rs_materias = mysql_query($sql_materias, $conn) or die(mysql_error());
  $rst_materias = mysql_fetch_assoc($rs_materias);
  $total_rows__materias = mysql_num_rows($rs_materias);
  $nombre_materia=$rst_materias['nombre_materia'];
  $semestre=$rst_materias['semestre'];
//echo $sql_materias;
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="prelaciones.php?a=view&recid=<?php echo $i ?>&matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo htmlspecialchars($row["id_carrera"]) ?>&id_materia=<?php echo htmlspecialchars($row["id_materia"]) ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum; ?>&nivel=<?php echo $nivel; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><img src="imagenes/search.gif" border="0"></a></td>

<td class="<?php echo $style ?>" align="center"><a href="prelaciones.php?a=del&recid=<?php echo $i ?>&matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo htmlspecialchars($row["id_carrera"]) ?>&id_materia=<?php echo htmlspecialchars($row["id_materia"]) ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum; ?>&nivel=<?php echo $nivel; ?>&tipo_materias=<?php echo $tipo_materias; ?>"><img src="imagenes/delete.png" border="0"></a></td>

<td class="<?php echo $style ?>" align="center"><?php echo $semestre ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["id_prelacion"]) ?></td>
<td class="<?php echo $style ?>" align="left"><?php echo $nombre_materia ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount, $id_carrera, $id_materia, $sem, $matVolver, $nombre); ?>
<?php } ?>

<?php function showrow($row, $recid, $nombre)
  {
   global $conn;
   global $id_carrera;
   global $pensum;
   
   $codigo=$row['id_prelacion'];
  $sql_materias = "SELECT nombre_materia FROM materias where id_carrera='$id_carrera' and id_materia='$codigo' and pensum='$pensum'";
  $rs_materias = mysql_query($sql_materias, $conn) or die(mysql_error());
  $rst_materias = mysql_fetch_assoc($rs_materias);
  $total_rows__materias = mysql_num_rows($rs_materias);
  $nombre_materia=$rst_materias['nombre_materia'];
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr">C&oacute;digo de la Unidad Curricular</td>
<td class="dr"><?php echo htmlspecialchars($row["id_prelacion"]) ?></td>
</tr>
<tr>
<td class="hr">Nombre de la Unidad Curricular</td>
<td class="dr"><?php echo $nombre_materia ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
   $codigo=$row['id_prelacion'];
  $sql_materias = "SELECT nombre_materia FROM materias where id_carrera='$id_carrera' and id_materia='$codigo' and pensum='$pensum'";
  $rs_materias = mysql_query($sql_materias, $conn) or die(mysql_error());
  $rst_materias = mysql_fetch_assoc($rs_materias);
  $total_rows__materias = mysql_num_rows($rs_materias);
  $nombre_materia=$rst_materias['nombre_materia'];
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">

<tr>
<td class="hr">C&oacute;digo de la Unidad Curricular&nbsp;</td>
<td class="dr"><input disabled="disabled" type="text" name="id_materia" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["id_prelacion"])) ?>"></td>
</tr>
<tr>
<td class="hr">Nombre de la Unidad Curricular&nbsp;</td>
<td class="dr"><input type="text" name="id_prelacion" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["id_prelacion"])) ?>"></td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode, $sem)
  {
  global $conn;
  global $pensum;
  global $nivel;
  global $mencion;
  
  // $conn=connect();
  
 
  mysql_select_db($database_conn, $conn);

  $cc=$row[id_carrera];
  $sql_prelacion = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE materias.id_carrera='$cc' and pensum='$pensum' and materias.semestre<$sem and (id_mencion='$mencion' or id_mencion='COMUN') order by materias.semestre";
  $rs_prelacion = mysql_query($sql_prelacion, $conn) or die(mysql_error());
  $rst_prelacion = mysql_fetch_assoc($rs_prelacion);
  $total_rows_prelacion = mysql_num_rows($rs_prelacion);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr">Prelaci&oacute;n&nbsp;</td>
<td class="dr">
<select name="id_prelacion" id="id_prelacion" onChange="verificar_prelacion(document.addpre.id_carrera.value,document.addpre.id_materia.value,this.value)">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $rst_prelacion['id_materia']?>"><?php echo $rst_prelacion['id_materia']?>&nbsp;-&nbsp;<?php echo $rst_prelacion['nombre_materia']?></option>
  <?php
} while ($rst_prelacion = mysql_fetch_assoc($rs_prelacion));
  $rows = mysql_num_rows($rs_prelacion);
  if($rows > 0) {
      mysql_data_seek($rs_prelacion, 0);
	  $rst_prelacion = mysql_fetch_assoc($rs_prelacion);
  }
?>
</select>
</td>
<iframe name="requisito" id="requisito" with="0" height="0" frameborder="0"></iframe>
</tr>
</table>

<?php 
mysql_free_result($rs_prelacion);
} ?>


<?php function showpagenav($page, $pagecount, $id_carrera, $id_materia, $sem, $matVolver, $nombre)
{

///////////////////// Lo que se encuentra comentado en esta parte es lo que muestra el numero de paginas por cada 10 registro en la paginacion.... Pendiente por revisar porque no lo esta haciendo///////////////////////////

global $pensum;
global $nivel;
global $mencion;
global $tipo_materias;
global $filterfield1;
global $filter1;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="materias.php?a=retorno&recid=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>&filterfield1=<?php echo $filterfield1 ?>&filter1=<?php echo $filter1 ?>">Regresar</a>&nbsp;</td>
<td><a href="prelaciones.php?a=add&matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>">Agregar Prelaci&oacute;n</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<!--<td><a href="prelaciones.php?page=<?php echo $page - 1 ?>&matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>-->
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>&matVolver=<?php echo $matVolver ?>"><?php //echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias  ?>&matVolver=<?php echo $matVolver ?>"><?php //echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<!--<td>&nbsp;<a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias  ?>&matVolver=<?php echo $matVolver ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>-->
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $id_carrera, $id_materia, $sem, $matVolver, $nombre)
{
global $pensum;
global $nivel;
global $mencion;
global $tipo_materias;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>&matVolver=<?php echo $matVolver ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias  ?>&matVolver=<?php echo $matVolver ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias  ?>&matVolver=<?php echo $matVolver ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec($matVolver, $recid, $id_carrera, $id_materia, $sem, $nombre)
{
global $pensum;
global $nivel;
global $mencion;
global $tipo_materias;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="prelaciones.php?matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>&matVolver=<?php echo $matVolver ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addpre" id="addpre" enctype="multipart/form-data" action="prelaciones.php?recid=<?php echo $recid ?>&id_carrera=<?php echo $id_carrera ?>&sem=<?php echo $sem ?>&id_materia=<?php echo $id_materia ?>&nombre=<?php echo $nombre ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>&tipo_materias=<?php echo $tipo_materias ?>&matVolver=<?php echo $matVolver ?>" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_carrera" => "$id_carrera",
  "pensum" => "$pensum",
  "nivel" => "$nivel",
  "mencion" => "$mencion",
  "id_materia" => "$id_materia",
  "id_prelacion" => "");
showrowadd($row, false, $sem);
?>
<input type="hidden" name="yid_carrera" value="<?php echo $id_carrera ?>">
<input type="hidden" name="yid_materia" value="<?php echo $id_materia ?>">

<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid, $id_carrera, $id_materia, $sem, $matVolver, $nombre)
{
  global $pensum;
  global $nivel;
  global $mencion;
  global $tipo_materias;
  
  $res = sql_select($id_carrera, $id_materia);
  $count = sql_getrecordcount($id_carrera, $id_materia);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count, $id_carrera, $id_materia, $sem, $matVolver, $nombre);
?>
<br>
<?php showrow($row, $recid, $nombre) ?>
<br>
<hr size="1" noshade>

<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid, $id_carrera, $id_materia, $sem, $matVolver, $nombre)
{
  global $tipo_materias;
  
  $res = sql_select($id_carrera, $id_materia);
  $count = sql_getrecordcount($id_carrera, $id_materia);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $id_carrera, $id_materia, $sem, $matVolver, $nombre);
?>
<br>
<form enctype="multipart/form-data" action="prelaciones.php?recid=<?php echo $recid ?>&matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&tipo_materias=<?php echo $tipo_materias ?>" method="Guardar">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_prelacion" value="<?php echo $row["id_prelacion"] ?>">
<input type="hidden" name="xpensum" value="<?php echo $row["pensum"] ?>">
<input type="hidden" name="xnivel" value="<?php echo $row["nivel"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar Cambios"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid, $id_carrera, $id_materia, $sem, $matVolver, $nombre)
{
  global $tipo_materias;
  global $pensum;
  global $nivel;
  
  $res = sql_select($id_carrera, $id_materia);
  $count = sql_getrecordcount($id_carrera, $id_materia);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count, $id_carrera, $id_materia, $sem, $matVolver, $nombre);
?>
<br>
<form action="prelaciones.php?recid=<?php echo $recid ?>&matVolver=<?php echo $matVolver ?>&id_carrera=<?php echo $id_carrera ?>&id_materia=<?php echo $id_materia ?>&sem=<?php echo $sem ?>&nombre=<?php echo $nombre ?>&tipo_materias=<?php echo $tipo_materias ?>&pensum=<?php echo $pensum ?>&nivel=<?php echo $nivel ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_prelacion" value="<?php echo $row["id_prelacion"] ?>">
<input type="hidden" name="xpensum" value="<?php echo $row["pensum"] ?>">
<input type="hidden" name="xnivel" value="<?php echo $row["nivel"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<?php showrow($row, $recid, $nombre) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($id_carrera, $id_materia)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `id_carrera`, `id_materia`, `id_prelacion` FROM `prelaciones` WHERE prelaciones.id_carrera='$id_carrera' AND prelaciones.id_materia='$id_materia' ";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_carrera` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`id_prelacion` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($id_carrera, $id_materia)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `prelaciones` WHERE prelaciones.id_carrera='$id_carrera' AND prelaciones.id_materia='$id_materia'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_carrera` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`id_prelacion` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $pensum;
  global $nivel;
  global $mencion;
  global $_POST;

  $sql = "insert into `prelaciones` (`id_carrera`, `pensum`, `nivel`, `mencion`, `id_materia`, `id_prelacion`) values (" .sqlvalue(@$_POST["yid_carrera"], true).", '$pensum', '$nivel', '$mencion', " .sqlvalue(@$_POST["yid_materia"], true).", " .sqlvalue(@$_POST["id_prelacion"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `prelaciones` set `id_prelacion`=" .sqlvalue(@$_POST["id_prelacion"], true) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `prelaciones` where " .primarykeycondition()." limit 1";
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_prelacion`";
  if (@$_POST["xid_prelacion"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_prelacion"], true);
  };
  $pk .= ")";
  return $pk;
}
 ?>
 
  <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.addrec.id_prelacion.value=="0"){
			alert("Prerrequisito es obligatorio");
			document.addrec.id_carrera.focus();
			return false;
			}			
			return true;
	}
	
function total_horas()
	{
	 	$nth=document.editrec.hp+document.editrec.ht;
		return $nth;
			}
	     
function verificarPre(id_carrera,id_materia,id_prelacion)
{
   	if (id_prelacion!="0")
	 {
	 url="validar_prerrequisito.php?id_carrera="+id_carrera+"&id_materia="+id_materia+"&id_prelacion="+id_prelacion;
	 requisito.location=url;
	 }
    
}



</script>

